import json

from httpClient.RequestMethod import *
from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter


class CompanyAuthPCPageRequest(BaseHttpRequest):

    def __init__(self, companyName=None, applicant=None, registerNo=None, legalPerson=None, callbackUrl=None):
        self.__companyName = companyName;
        self.__applicant = applicant;
        self.__registerNo = registerNo;
        self.__legalPerson = legalPerson;
        self.__callbackUrl = callbackUrl;

    def get_companyName(self):
        return self.__companyName

    def set_companyName(self, value):
        self.__companyName = value

    def get_applicant(self):
        return self.__applicant

    def set_applicant(self, value):
        self.__applicant = value

    def get_registerNo(self):
        return self.__registerNo

    def set_registerNo(self, value):
        self.__registerNo = value

    def get_legalPerson(self):
        return self.__legalPerson

    def set_legalPerson(self, value):
        self.__legalPerson = value

    def get_callbackUrl(self):
        return self.__callbackUrl

    def set_callbackUrl(self, value):
        self.__callbackUrl = value

    def get_path(self):
        return '/companyauth/pcpage'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__companyName is not None:
            json_dic['companyName'] = self.__companyName
        if self.__applicant is not None:
            json_dic['applicant'] = self.__applicant.to_json()
        if self.__registerNo is not None:
            json_dic['registerNo'] = self.__registerNo
        if self.__legalPerson is not None:
            json_dic['legalPerson'] = self.__legalPerson
        if self.__callbackUrl is not None:
            json_dic['callbackUrl'] = self.__callbackUrl
        parameter.set_json(json.dumps(json_dic))
        return parameter
