from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class ContractInvalidRequest(BaseHttpRequest):

    def __init__(self, contractId=None, sealId=None, reason=None, deleteDoc=None, tenantName=None):
        self.__contractId = contractId
        self.__sealId = sealId
        self.__reason = reason
        self.__deleteDoc = deleteDoc
        self.__tenantName = tenantName

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_sealId(self):
        return self.__sealId

    def set_sealId(self, value):
        self.__sealId = value

    def get_reason(self):
        return self.__reason

    def set_reason(self, value):
        self.__reason = value

    def get_deleteDoc(self):
        return self.__deleteDoc

    def set_deleteDoc(self, value):
        self.__deleteDoc = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_path(self):
        return '/v2/contract/invalid'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__contractId is not None:
            json_dic['contractId'] = self.__contractId
        if self.__sealId is not None:
            json_dic['sealId'] = self.__sealId
        if self.__reason is not None:
            json_dic['reason'] = self.__reason
        if self.__deleteDoc is not None:
            json_dic['deleteDoc'] = self.__deleteDoc
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        parameter.set_json(json.dumps(json_dic))
        return parameter
