from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class ContractPageRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, user=None, callbackPage=None, tenantName=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__user = user
        self.__callbackPage = callbackPage
        self.__tenantName = tenantName

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_user(self):
        return self.__user

    def set_user(self, value):
        self.__user = value

    def get_callbackPage(self):
        return self.__callbackPage

    def set_callbackPage(self, value):
        self.__callbackPage = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_path(self):
        return '/v2/contract/pageurl'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__contractId is not None:
            json_dic['contractId'] = self.__contractId
        if self.__bizId is not None:
            json_dic['bizId'] = self.__bizId
        if self.__user is not None:
            json_dic['user'] = self.__user.to_json()
        if self.__callbackPage is not None:
            json_dic['callbackPage'] = self.__callbackPage
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        parameter.set_json(json.dumps(json_dic))
        return parameter
