from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class ContractSendRequest(BaseHttpRequest):

    def __init__(self, contractId=None, stampers=None, bizId=None, tenantName=None):
        self.__contractId = contractId
        self.__stampers = stampers
        self.__bizId = bizId
        self.__tenantName = tenantName

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_stampers(self):
        return self.__stampers

    def set_stampers(self, value):
        self.__stampers = value

    def get_tenantName(self):
        return self.get_tenantName()

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__tenantName = value

    def get_path(self):
        return '/v2/contract/send'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__contractId is not None:
            json_dic['contractId'] = self.__contractId
        if self.__bizId is not None:
            json_dic['bizId'] = self.__bizId
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__stampers is not None:
            stamper_list = []
            for stamper in self.__stampers:
                stamper_list.append(stamper.to_json())
            json_dic['stampers'] = stamper_list
        parameter.set_json(json.dumps(json_dic))
        return parameter
