from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class DocumentAddByTemplateRequest(BaseHttpRequest):

    def __init__(self, contractId=None, templateId=None, templateParams=None, title=None, bizId=None, tenantName=None):
        self.__contractId = contractId
        self.__templateId = templateId
        self.__templateParams = templateParams
        self.__title = title
        self.__bizId = bizId
        self.__tenantName = tenantName

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_templateId(self):
        return self.__templateId

    def set_templateId(self, value):
        self.__templateId = value

    def get_templateParams(self):
        return self.__templateParams

    def set_templateParams(self, value):
        self.__templateParams = value

    def get_title(self):
        return self.__title

    def set_title(self, value):
        self.__title = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_path(self):
        return '/v2/document/addbytemplate'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__contractId is not None:
            json_dic['contractId'] = self.__contractId
        if self.__templateId is not None:
            json_dic['templateId'] = self.__templateId
        if self.__templateParams is not None:
            param_list = []
            for templateParam in self.__templateParams:
                param_list.append(templateParam.to_json())
            json_dic['templateParams'] = param_list
        if self.__title is not None:
            json_dic['title'] = self.__title
        if self.__bizId is not None:
            json_dic['bizId'] = self.__bizId
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        parameter.set_json(json.dumps(json_dic))
        return parameter
