from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class UserAuthResultRequest(BaseHttpRequest):

    def __init__(self, authId=None, user=None):
        self.__authId = authId
        self.__user = user

    def get_authId(self):
        return self.__authId

    def set_authId(self, value):
        self.__authId = value

    def get_user(self):
        return self.__user

    def set_user(self, value):
        self.__user = value

    def get_path(self):
        return '/v2/personalauth/result'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__authId is not None:
            parameter.add_params('authId', self.__authId)
        if self.__user is not None:
            parameter.add_params('contact', self.__user.get_contact())
            parameter.add_params('contactType', self.__user.get_contactType())
        return parameter
